# https://git.syndicate-lang.org/synit/synit/src/branch/main/packaging/packages/syndicate-server/APKBUILD

{ lib, rustPlatform, rust, fetchFromGitea, pkg-config, openssl }:

rustPlatform.buildRustPackage rec {
  pname = "syndicate-server";
  version = "0.42.0";
  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "syndicate-lang";
    repo = "syndicate-rs";
    rev = "${pname}-v${version}";
    sha256 = "sha256-+AlDmA4gy5rOxfCrQ2dMFpVjo19JwYZ2/1y+7cVO94M=";
  };
  cargoHash = "sha256-k8zx8Fxlx7QdGdmcl5kP0tOPaWlG2WY11B30fpNcDt4=";
  nativeBuildInputs = [ rust pkg-config ];
  buildInputs = [ openssl ];

  meta = {
    description = "Syndicate broker server";
    homepage = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs/";
    mainProgram = "syndicate-server";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
